### Enumeration

# Ggit ConfigLevel

#### Declaration

    enum Ggit.ConfigLevel

#### Description [src]

Priority level of a config file. These priority levels correspond to the natural escalation logic (from higher to lower) when searching for config entries in git.git.

#### Members

`GGIT_CONFIG_LEVEL_PROGRAMDATA`

  System-wide on Windows, for compatibility with portable git.

  - Value: `1`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_SYSTEM`

  System-wide configuration file.

  - Value: `2`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_XDG`

  XDG compatible configuration file (.config/git/config).

  - Value: `3`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_GLOBAL`

  User-specific configuration file, also called Global configuration file.

  - Value: `4`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_LOCAL`

  Repository specific configuration file.

  - Value: `5`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_WORKTREE`

  No description available.

  - Value: `6`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_APP`

  Application specific configuration file; freely defined by applications.

  - Value: `7`
  - Available since: 1.0
`GGIT_CONFIG_LEVEL_HIGHEST`

  Represents the highest level of a config file.

  - Value: `-1`
  - Available since: 1.0